CMSIS-Driver: USB Speed

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
USB Speed
USB Interface

USB Speed definitions. More...

## Macros

#define | ARM_USB_SPEED_LOW (0U)
| Low-speed USB. More...
#define | ARM_USB_SPEED_FULL (1U)
| Full-speed USB. More...
#define | ARM_USB_SPEED_HIGH (2U)
| High-speed USB. More...

## Description

USB Speed definitions.

The following USB speed values are defined:

## Macro Definition Documentation

#define ARM_USB_SPEED_LOW (0U)

Low-speed USB.

#define ARM_USB_SPEED_FULL (1U)

Full-speed USB.

#define ARM_USB_SPEED_HIGH (2U)

High-speed USB.